Bug 199899 - Parser fails on Solaris Studio specific keywords
Parser fails on Solaris Studio specific keywords
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Code Model
7.0
PC Solaris
: P2 (vote)
: 7.1
Assigned To: Vladimir Voskresensky
issues@cnd
qtsupport, 701patch2-verified, elif
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-05 16:24 UTC by soldatov
Modified: 2011-09-30 14:38 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description soldatov 2011-07-05 16:24:00 UTC
I imported Qt project on my Solaris machine and I see bad code assistance. Because Qt framework uses __global keyword.

useful links:
http://download.oracle.com/docs/cd/E19205-01/821-1383/bkaed/index.html
http://developers.sun.com/solaris/articles/symbol_scope.html
Comment 1 Leonid Lenyashin 2011-07-05 17:54:13 UTC
Please evaluate if it is stopper for Studio. Parser failure sounds too bad. If problem is not that bad, feel free to downgrade.
Comment 2 Leonid Lenyashin 2011-07-06 19:04:53 UTC
According to QA it is neither P2 nor a showstopper.
Comment 3 Vladimir Voskresensky 2011-09-09 11:22:49 UTC
it breaks Qt support in Studio, because code model is broken if studio toolchain is used
Comment 4 Vladimir Voskresensky 2011-09-09 12:50:48 UTC
simplified samples to support:
__hidden struct __symbolic BinaryTree node;
__global const float lversion = 1.2;
__symbolic int taxrate;
__hidden struct employee {
 int empid;
 char *name;
} Employee;

__global void createemployee(int id, char *name) { }
__symbolic void deleteemployee(int id) { }
__hidden void modifyemployee(int id) { }
Comment 5 Vladimir Voskresensky 2011-09-09 12:55:32 UTC
one more construction is 
__thread int x = 4;
Comment 6 Vladimir Voskresensky 2011-09-09 14:26:53 UTC
http://hg.netbeans.org/cnd-main/rev/feb4f5e837e2
fix for all cases except 
struct __symbolic BinaryTree node;
__hidden struct __symbolic BinaryTree node;
Comment 7 Vladimir Voskresensky 2011-09-09 14:30:48 UTC
patch candidates are P2s
Comment 8 Quality Engineering 2011-09-10 14:25:36 UTC
Integrated into 'main-golden'
Changeset: http://hg.netbeans.org/main-golden/rev/feb4f5e837e2
User: Vladimir Voskresensky <vv159170@netbeans.org>
Log: fixing #199899  -  Parser fails on Solaris Studio specific keywords
Comment 9 Vladimir Voskresensky 2011-09-16 10:35:51 UTC
fixed
http://hg.netbeans.org/cnd-main/rev/d4db96c3ed1e
Comment 10 Vladimir Voskresensky 2011-09-16 10:36:42 UTC
I reviewed Nik's fix it is safe and correct
Comment 11 nnnnnk 2011-09-16 11:00:42 UTC
I've reviewed Vladimir's. It's safe and correct.
Comment 12 Vladimir Voskresensky 2011-09-16 11:42:38 UTC
feb4f5e837e2 transplanted to 30cfccce149d
d4db96c3ed1e transplanted to 05f00c1258a0
Comment 13 Alexander Pepin 2011-09-22 16:47:27 UTC
verified in sputnik-solstudio-main build #3313 (20110922)
Comment 14 Quality Engineering 2011-09-26 13:26:38 UTC
Integrated into 'releases'
Changeset: http://hg.netbeans.org/releases/rev/30cfccce149d
User: Vladimir Voskresensky <vv159170@netbeans.org>
Log: fixing #199899  -  Parser fails on Solaris Studio specific keywords
(transplanted from feb4f5e837e20b03bc8782c66eaa816e29e74867)
Comment 15 soldatov 2011-09-27 08:38:35 UTC
Original problem is not fixed.

Minimal test case:

class __global QTextStream
{
public:
    int f() {return 0;}
};
Comment 16 Vladimir Voskresensky 2011-09-27 08:50:36 UTC
Thanks. I will follow up
Comment 17 Vladimir Voskresensky 2011-09-27 11:24:23 UTC
extra fix, please, verify
http://hg.netbeans.org/cnd-main/rev/04e62a8fb0f2
Comment 18 nnnnnk 2011-09-27 11:29:15 UTC
Reviewed. Fix is safe and correct.
Comment 19 soldatov 2011-09-27 11:57:23 UTC
verified in cnd-build-5958-on-20110927 build
Comment 20 Vladimir Voskresensky 2011-09-27 15:24:31 UTC
integrated into releases/release701_fixes
http://hg.netbeans.org/releases/rev/3724da4834c8
Comment 21 Quality Engineering 2011-09-28 13:59:47 UTC
Integrated into 'main-golden'
Changeset: http://hg.netbeans.org/main-golden/rev/04e62a8fb0f2
User: Vladimir Voskresensky <vv159170@netbeans.org>
Log: fixed #199899  -  Parser fails on Solaris Studio specific keywords
- support storage specifiers between class/struct and ID
Comment 22 Quality Engineering 2011-09-29 22:45:44 UTC
Integrated into 'releases'
Changeset: http://hg.netbeans.org/releases/rev/3724da4834c8
User: Vladimir Voskresensky <vv159170@netbeans.org>
Log: fixed #199899  -  Parser fails on Solaris Studio specific keywords
- support storage specifiers between class/struct and ID
(transplanted from 04e62a8fb0f2c8ea06b1ed6a3ef837179ae8fad9)
Comment 23 soldatov 2011-09-30 07:25:45 UTC
verified in NetBeans IDE 7.0.1 (Build 201109292036)
Comment 24 Quality Engineering 2011-09-30 14:38:36 UTC
Integrated into 'main-golden'
Changeset: http://hg.netbeans.org/main-golden/rev/421319203729
User: Vladimir Voskresensky <vv159170@netbeans.org>
Log: extra test for ##199899 - Parser fails on Solaris Studio specific keywords


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo